升级 WordPress 5.0 并禁用最新版 Gutenberg(古腾堡)编辑器

今天打理了一下博客,把 WordPress 升级到了 5.0,发现默认编辑器还发生了变化。不仅不好用,更可以说是非常难用了。最新版的编辑器叫 Gutenberg(古腾堡),号称不仅仅是一个编辑器。虽然编辑器现在是焦点,但项目最终将影响整个发布体验,包括定制(下一个焦点区域)。

「编辑器将创建一个新的页面、文章建设经验,使写丰富的文章毫不费力。为了编辑经验变得更简单,“区块”将会取代当今的短代码,自定义 HTML 或“神秘肉”嵌入模式。」

—Matt Mullenweg

但是实际使用下来,我们发现这个被 WordPress 团队推崇的编辑器非常难用,因此我们也寻求方法将其禁用。

一、升级 WordPress 5.0

如下所示,我们看到有更新。

点击自动更新,等待自动完成安装,安装之后,就升级到了 WordPress 5.0 了,可以看到一个“向新编辑器说你好”的欢迎标语,可以说是看的非常难受了。

页面往下拉,我们可以看到保持经典的方法,我们可以安装一个叫做“Classic Editor”的经典编辑器,安装并启用之后,之前经典的写作界面就回来了。

二、安装 Classic Editor

在插件 -> 安装插件页面,我们可以看到这个经典编辑器,此外,也可以直接搜索“Classic Editor”,搜索完之后,我们点击安装,并启用即可,非常简单。

可以看到这个插件已经有一百多万的安装了,看起来至少有一百多万的用户不习惯新的编辑器。

三、WordPress 5.0 总体体验

总体来说,并没有看到什么特别大的变化,尤其是安装了 Classic Editor 之后,和升级前好像没什么两样了。我从 2012 年开始使用 WordPress 建站,看着 WordPress 从 2.X 还是 3.X 的版本,一路升级到现在的 5.0,还是颇有些感慨的。作为开源的博客 CMS 框架,WordPress 在各方面都非常卓越,也有一大批开发者在不断的开发 WordPress 主题、WordPress 插件等各种附加功能。

不过总体来说,新版本肯定是比旧版本更好,所以还是推荐大家及时进行升级,并体验最新的 WordPress 特性,安全方面肯定也做了升级的。

赞(0)
未经允许不得转载:唐小苏 » 升级 WordPress 5.0 并禁用最新版 Gutenberg(古腾堡)编辑器

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址